aboutsummaryrefslogtreecommitdiff
path: root/japanese/jisx0213-fonts/pkg-req
diff options
context:
space:
mode:
authorFUJISHIMA Satsuki <sf@FreeBSD.org>2001-06-01 14:25:58 +0000
committerFUJISHIMA Satsuki <sf@FreeBSD.org>2001-06-01 14:25:58 +0000
commit0b3c4191d13cc8e9cc14ac805a559a18b1aab3c3 (patch)
tree561e5aae91da59fba8853d5558a8b83b0690c2ec /japanese/jisx0213-fonts/pkg-req
parent1f772254939f246600901cb7f3ce17bfa779ed31 (diff)
Notes
Diffstat (limited to 'japanese/jisx0213-fonts/pkg-req')
-rw-r--r--japanese/jisx0213-fonts/pkg-req45
1 files changed, 45 insertions, 0 deletions
diff --git a/japanese/jisx0213-fonts/pkg-req b/japanese/jisx0213-fonts/pkg-req
new file mode 100644
index 000000000000..ab31d6979d77
--- /dev/null
+++ b/japanese/jisx0213-fonts/pkg-req
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+if [ "x$1" = "x" ]; then
+ exit 1;
+fi
+if [ "x$2" != "xINSTALL" -a "x$2" != "xDEINSTALL" ]; then
+ exit 1;
+fi
+
+export FONTDIR; FONTDIR=${PKG_PREFIX}/lib/X11/fonts/local
+
+if [ "$2x" = "INSTALLx" -a ! -d ${FONTDIR} ]; then
+ echo '**********************************************************************'
+ echo "****** ${FONTDIR}/ doesn't exist."
+ echo "****** Creating ${FONTDIR}/"
+ echo '****** Please upgrade your XFree86 to 3.3.3 or upper,'
+ echo "****** or add this directory to your /etc/XF86Config's FontPath entry."
+ echo '**********************************************************************'
+ mkdir ${FONTDIR}
+fi
+
+# font alias entry here!
+TMPFILE=/tmp/install-fonts-alias-$$
+cat << EOF > ${TMPFILE}
+-netscape-fixed-medium-r-normal--16-156-75-75-c-160-jisx0212.1990-0 -misc-fixed-medium-r-normal--16-150-75-75-c-160-jisx0213.2000-1
+EOF
+
+echo "Updating ${FONTDIR}/fonts.alias"
+cd ${FONTDIR}
+touch fonts.alias
+cp fonts.alias fonts.alias.orig
+if [ "$2" = "INSTALL" ] ; then
+ (grep -v -e "`cat ${TMPFILE}`" fonts.alias.orig ; \
+ cat ${TMPFILE}) > fonts.alias
+elif [ "$2" = "DEINSTALL" ] ; then
+ grep -v -- "`cat ${TMPFILE}`" fonts.alias.orig > fonts.alias
+fi
+rm -f fonts.alias.orig ${TMPFILE}
+
+echo "**********************************************************"
+echo "You should restart X server or do 'xset fp rehash' command"
+echo "to enable this update."
+echo "**********************************************************"
+
+exit 0;